#ifndef __animia__windows_h
#define __animia__windows_h
#include <vector>
#include <string>
#include <unordered_map>

namespace Animia::Windows {

std::vector<int> get_all_pids();
std::string get_process_name(int pid);
std::vector<std::string> get_open_files(int pid);
std::vector<std::string> filter_system_files(const std::vector<std::string>& source);
std::unordered_map<int, std::vector<std::string>> get_all_open_files();

}

#endif // __animia__windows_h
